LibreOffice: BackendAdapter Service Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Included Services | Exported Interfaces | List of all members
BackendAdapter Service Referencepublished

implements Backend retrieving data from a SingleBackend. More...

`import"BackendAdapter.idl";`

Inheritance diagram for BackendAdapter:

## Included Services
service | Backend
| provides access to configuration data. More...

## Exported Interfaces
interface | XBackendEntities
| This interface, that is optional in Backend, is mandatory in this service. More...
interface | com::sun::star::lang::XInitialization
| allows initializing the backend to use. More...
Exported Interfaces inherited from Backend
interface | XSchemaSupplier
| provides access to configuration schemas. More...
interface | XBackend
| provides access to the layer data. More...
interface | XBackendEntities
| provides information about supported and special entities. More...

## Additional Inherited Members
Public Member Functions inherited from XSchemaSupplier
XSchema | getComponentSchema ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| Returns the schema information (component + templates) for a particular component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XBackend
sequence< XLayer > | listOwnLayers ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layers associated to the owner entity for a component. More...
XUpdateHandler | getOwnUpdateHandler ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| creates an update handler for the owner entity layer for a component. More...
sequence< XLayer > | listLayers ([in] string aComponent, [in] string aEntity) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layers associated to an entity for a component. More...
XUpdateHandler | getUpdateHandler ([in] string aComponent, [in] string aEntity) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| creates an update handler on an entity's layer for a component. More...
Protected Member Functions inherited from XBackendEntities
string | getOwnerEntity ()
| provides the entity id of the owner entity of the backend. More...
string | getAdminEntity ()
| provides the entity id of an entity for general administrative access. More...
boolean | supportsEntity ([in] string aEntity) raises ( BackendAccessException )
| determines, if a given entity id exists in this backend. More...
boolean | isEqualEntity ([in] string aEntity, [in] string aOtherEntity) raises ( BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| determines, if two given entity ids denote the same entity. More...
Protected Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...

## Detailed Description

implements Backend retrieving data from a SingleBackend.

Since
  OOo 1.1.2

## Exported Interfaces

service Backend

provides access to configuration data.

## Exported Interfaces

interface com::sun::star::lang::XInitialization
| optional

allows initializing the backend to use.

If this interface is present, a SingleBackend may be passed, that is used to access the data. Also a com::sun::star::configuration::bootstrap::BootstrapContext can be passed, that provides further settings for the backend.

If this interface is missing, the real backend to use is determined from the com::sun::star::uno::XComponentContext.

interface XBackendEntities

This interface, that is optional in Backend, is mandatory in this service.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/BackendAdapter.idl